<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Scopes/Synopsis/TypeAnalysis/Array.html -->
<!-- this view was generated by Scope -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis::TypeAnalysis::Array</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Scope">
<div class="navigation">
<span class="normal"><a href="../../global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
<!-- this part was generated by Heading -->
<div class="class-module">namespace <a href="../../Synopsis.html" >Synopsis</a>::<a href="../TypeAnalysis.html" >TypeAnalysis</a>
</div><div class="class-name">class Array

</div><div class="links"><div class="file">File: <a href="../../../File/Synopsis/TypeAnalysis/Type.hh.html" target="detail">../Synopsis/TypeAnalysis/Type.hh</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mArray" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line132" ><img src="../../../src-c++.png" alt="source code"/></a></div></div>  <img alt="Array-inheritance" src="Array-inheritance.png" hspace="8" vspace="8" border="0" usemap="#Array-inheritance_map" />
<map name="Array-inheritance_map"><area alt="Scopes/Synopsis/TypeAnalysis/Type.html" href="Type.html" shape="rect" coords="8, 7, 197, 31" />
</map>
 <div class="doc"></div>
<!-- this part was generated by Summary -->
<div class="summary">
<div class="heading">Public Member functions Summary:</div>
<div class="item"><div class="synopsis">&#160;<i>constructor</i> <a class="name" id="Array_lconst.Type_S_r">Array</a>(const&#160;<a href="Type.html" >Type</a>* <span class="variable">type</span>)  </div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mArray_mArray_lconst.Type_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line135" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
<div class="item"><div class="synopsis"><span class="keyword">virtual</span>&#160;void <a class="name" id="accept_lVisitor_S_r">accept</a>(<a href="Visitor.html" >Visitor</a>* <span class="variable">visitor</span>)  </div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mArray_maccept_lVisitor_S_r" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line136" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<div class="summary">
<div class="heading">Private Data members Summary:</div>
<div class="item"><div class="synopsis">const&#160;<a href="Type.html" >Type</a>* <a class="name" id="my_type">my_type</a></div> <div class="xref"><a href="../../../XRef/xref31.html#Synopsis_mTypeAnalysis_mArray_mmy_type" ><img src="../../../xref.png" alt="references"/></a></div> <div class="source"><a href="../../../Source/Synopsis/TypeAnalysis/Type.hh.html#line139" ><img src="../../../src-c++.png" alt="source code"/></a></div> <div class="doc"></div></div>
</div><!-- summary -->
<!-- this part was generated by Inheritance -->
<table width="100%" summary="Public Member functions Inherited from Type">
<tr><td colspan="2" class="heading">Public Member functions Inherited from Type</td></tr>
<tr><td class="inherited"><a href="Type.html#name_l_rconst" title="member function Type::name&#40;&#41;const">name</a>,
<a href="Type.html#ref_l_rconst" title="member function Type::ref&#40;&#41;const">ref</a>,
<a href="Type.html#deref_l_rconst" title="member function Type::deref&#40;&#41;const">deref</a></td></tr></table>
<!-- this part was generated by Detail -->

<div class="logo">Generated on Thu Apr 16 16:28:02 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
